/* Defining root variables */

:root{
  --primary-c: #871D27;
  --secondary-c: #CD642B;
  --hover-c-light: #ee8349;
  --hover-c-dark: #a5400a;
  --color1: #333333;
}

/* Universal reset styles */

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Source Sans 3", sans-serif;
}

html, body{
  scroll-behavior: smooth;
  overflow-x: clip;
}

/* Generated class from JS below for intersection observer */
/* Generated class from JS below for intersection observer */
/* Generated class from JS below for intersection observer */

.hidden{
  opacity: 0;
  transform: translateY(80px);
  transition: opacity 1.5s, transform 1s;
}

.show{
  opacity: 1;
  transform: translateY(0);
}

/* Team section main section starts here */

.team--sec1{
  width: 100%;
  background: #eeeeee;
  padding: 5em 5em;
  text-align: center;
}

.team-h1{
  font-size: 4rem;
  font-weight: 800;
  line-height: 4rem;
  max-width: 14ch;
  margin: 0 auto;
  color: #102031;
}

.team-thin-line{
  width: 70px;
  height: 2px;
  background: var(--secondary-c);
  margin: 2em auto;
}

.team-para{
  font-size: 1rem;
  font-weight: 400;
  max-width: 90ch;
  margin: 0 auto;
  color: #102031;
}

.team-para2{
  font-size: 0.85rem;
  font-weight: 400;
  color: grey;
  max-width: 90ch;
  margin: 2em auto;
}

/* Team member images here */

.expert--image-cc{
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 300px));
  gap: 15px;
  width: 80%;
  margin: 4em auto;
}

.ex__cc{
  width: 300px;
  height: 470px;
  background: #606368;
  text-align: left;
}

.ex__cc .ex__img{
  width: 100%;
  height: 290px;
  overflow: hidden;
}

.ex__img img{
  width: 100%;
  height: 100%;
  object-fit: cover;
  pointer-events: none;
  transition: .2s;
}

.ex__img:hover img{
  transform: scale(1.05);
}

.ex__tt{
  padding: 1.5em;
}

.ex__tt h2{
  font-size: 1.3rem;
  font-weight: 700;
  color: #ffffff;
  margin-bottom: .2em;
}

.ex__tt h4{
  font-size: 1rem;
  font-weight: 600;
  color: #ffffff;
  margin-bottom: 2em;
}

.ex__tt h5{
  font-size: .8rem;
  font-weight: 600;
  color: #ffffff;
}

.ex__tt h6{
  font-size: .8rem;
  font-weight: 600;
  color: #ffffff;
}

.ex__tt h5 img{
  width: 9px;
  margin-right: 5px;
}

/* Contact form section starts here */

.contact--form{
  width: 100%;
  background: #fff;
  padding: 5em 12.5em;
}

.heading1--form{
  font-size: 2rem;
  font-weight: 800;
  color: #000;
}

.team-thin-line2{
  width: 50px;
  height: 2px;
  background: var(--secondary-c);
  margin: 2em 0;
}

/* contact form starts here */

.form-start{
    width: 800px;
    margin-top: 5%;
}

.form-control{
    display: flex;
    flex-direction: column;
}

.form-control > .input-tag{
    padding: 20px 0;
    font-size: 17px;
    font-weight: 500;
    margin-bottom: 35px;
    border: none;
    outline: none;
    border-bottom: 1px solid black;

    &:hover{
        border-bottom: 1px solid var(--secondary-c);
    }

    &:focus{
      border-bottom: 2px solid var(--secondary-c);
    }
}

.form-control > label{
    font-size: 17px;
    font-weight: 500;
}

.form-control textarea{
    width: 100%;
    height: 200px;
    padding: 20px 15px;
    margin: 20px 0;
    resize: none;
    outline: none;
    border: 1px solid grey;
}

.form-control textarea:hover {
    border-color: var(--secondary-c);
} 

.form-control textarea:focus{
    border: 3px solid var(--secondary-c);
}

.form-control input[type="submit"]{
    width: 120px;
    background-color: var(--secondary-c);
    padding: 12px 20px;
    color: white;
    font-size: 17px;
    font-weight: 500;
    transition: 0.1s;
    outline: none;
    border: none;
    margin-bottom: 15%;
    cursor: pointer;

    &:hover{
        background-color: var(--hover-c-dark); 
    }

    &:focus{
      background: #682704;
    }
}

.form-control input[type="reset"]{
    width: 120px;
    background: #cecece;
    padding: 12px 20px;
    color: rgb(114, 114, 114);
    font-size: 17px;
    font-weight: 500;
    outline: none;
    border: none;
    margin-bottom: 15%;
    cursor: pointer;

    &:hover{
        background: #e6e6e6; 
    }

    &:focus{
        background: #424242; 
    }
}

/* Form control select styling starts here */

.form-control > select{
  background: #e6e6e6;
  border: none;
  outline: none;
  padding: 1em 0.2em 1em;
  margin: 1em 0;
  border-radius: 5px;
  font-weight: 300;
  cursor: pointer;
}

.form-control > select option{
  background: #ececec;
  font-size: 1rem;
  font-family: "Source Sans 3", sans-serif;
}

/* All media query for various screens */
/* All media query for various screens */
/* All media query for various screens */

/* Media for laptops - 1326px */

@media(max-width: 1326px){

 /* Team section main section starts here */

.team--sec1{
  padding: 5em 5em;
}

/* Team member images here */

.expert--image-cc{
  justify-content: center;
  width: 100%;
}

/* contact form */

.contact--form{
  padding: 5em 5em;
}
}

/* Media for laptops - 1090px */

@media(max-width: 1090px){

 /* Team section main section starts here */

.team--sec1{
  padding: 5em 3em;
}

/* contact form */

.contact--form{
  padding: 5em 3em;
}
}

/* Media for laptops - 1028px */

@media(max-width: 1028px){

 /* Team section main section starts here */

.team--sec1{
  padding: 5em 2em;
}

/* contact form */

.contact--form{
  padding: 5em 2em;
}
}

/* Media for laptops - 995px */

@media(max-width: 995px){

 /* Team section main section starts here */

 .expert--image-cc{
  grid-template-columns: 1fr 1fr;
}

.ex__cc{
  width: unset;
}
}

/* Media for laptops - 852px */

@media(max-width: 852px){
  .form-start{
    width: 100%;
}

.form-control > .input-tag{
    padding: 10px 0;
    font-size: 14px;
    margin-bottom: 15px;
}

.form-control > label{
    font-size: 15px;
}

.form-control input[type="submit"]{
    width: 80px;
    padding: 9px 5px;
    font-size: 14px;
}

.form-control input[type="reset"]{
    width: 80px;
    padding: 9px 5px;
    font-size: 14px;
}
}

/* Media for laptops - 642px */

@media(max-width: 642px){
  /* Team section main section starts here */

.team--sec1{
  text-align: left;
}

.team-h1{
  font-size: 3rem;
  line-height: 3rem;
  max-width: 14ch;
  margin: 0 0;
}

.team-thin-line{
  width: 50px;
  margin: 2em 0;
}

.team-para{
  font-size: 0.9rem;
  max-width: 50ch;
  margin: 0 0;
}

.team-para2{
  font-size: 0.8rem;
  max-width: 50ch;
  margin: 2em 0;
}

.expert--image-cc{
  grid-template-columns: 1fr;
}
}

/* Media for phones - 500px */

@media(max-width: 500px){
  /* Team section main section starts here */

.team--sec1{
  padding: 5em 1.2em;
}

/* contact form */

.contact--form{
  padding: 5em 1.2em;
}
}

/* Media for phones - 373px */

@media(max-width: 373px){
  .team-h1{
  font-size: 2.3rem;
  line-height: 2.3rem;
}
}

/* Media for phones - 320px */

@media(max-width: 320px){
  .team-h1{
  font-size: 2rem;
  line-height: 2rem;
}
}